import { useOpenSubmap } from '@/hooks/useOpenSubmaps';
import { searchedFromMapBioEntityElementRelatedSubmapSelector } from '@/redux/bioEntity/bioEntity.selectors';
import { useAppSelector } from '@/redux/hooks/useAppSelector';
import { Button } from '@/shared/Button';

export const AssociatedSubmap = (): React.ReactNode => {
  const relatedSubmap = useAppSelector(searchedFromMapBioEntityElementRelatedSubmapSelector);
  const { openSubmap } = useOpenSubmap({
    modelId: relatedSubmap?.idObject,
    modelName: relatedSubmap?.name,
  });

  if (!relatedSubmap) {
    return null;
  }

  return (
    <div
      data-testid="associated-submap"
      className="flex flex-row flex-nowrap items-center justify-between"
    >
      <p>Associated Submap: </p>
      <Button className="max-h-8" variantStyles="ghost" onClick={openSubmap}>
        Open submap
      </Button>
    </div>
  );
};
