import { ZERO } from '@/constants/common';
import { OverlayAxis } from './OverlayAxis';
import { useOverlaysAxes } from './utils/useOverlaysAxes';

export const OverlayData = (): JSX.Element | null => {
  const axes = useOverlaysAxes();

  if (axes.length === ZERO) {
    return null;
  }

  return (
    <div>
      <h3 className="mb-2 font-semibold">Overlay data:</h3>
      <div className="flex flex-col gap-2 rounded-lg border border-divide p-4">
        {axes.map(axis => (
          <OverlayAxis key={axis.title} axis={axis} />
        ))}
      </div>
    </div>
  );
};
