/* eslint-disable jsx-a11y/label-has-associated-control */
import { useAppSelector } from '@/redux/hooks/useAppSelector';
import { perfectMatchSelector } from '@/redux/search/search.selectors';
import { useAppDispatch } from '@/redux/hooks/useAppDispatch';
import { setPerfectMatch } from '@/redux/search/search.slice';
import { ChangeEvent } from 'react';

export const PerfectMatchSwitch = (): JSX.Element => {
  const dispatch = useAppDispatch();
  const isChecked = useAppSelector(perfectMatchSelector);

  const setChecked = (event: ChangeEvent<HTMLInputElement>): void => {
    dispatch(setPerfectMatch(event.target.checked));
  };

  return (
    <div className="mr-6 flex items-center">
      <span className="mr-2 text-sm font-bold">Perfect match</span>
      <label className="relative inline-flex cursor-pointer items-center">
        <input
          type="checkbox"
          value=""
          className="peer sr-only"
          checked={isChecked}
          onChange={setChecked}
        />
        <div className="peer h-6 w-11 rounded-full bg-greyscale-500 after:absolute after:start-[2px] after:top-[2px] after:h-5 after:w-5 after:rounded-full after:border after:border-gray-300 after:bg-white after:transition-all after:content-[''] peer-checked:bg-med-sea-green peer-checked:after:translate-x-full peer-checked:after:border-white peer-focus:outline-none rtl:peer-checked:after:-translate-x-full" />
      </label>
    </div>
  );
};
