import { PINS_COLORS } from '@/constants/canvas';
import { BioEntity } from '@/types/models';
import { PinType } from '@/types/pin';
import { UsePointToProjectionResult } from '@/utils/map/usePointToProjection';
import { Feature } from 'ol';
import { getPinFeature } from './getPinFeature';
import { getPinStyle } from './getPinStyle';

export const getBioEntitySingleFeature = (
  bioEntity: BioEntity,
  {
    pointToProjection,
    type,
    value,
  }: {
    pointToProjection: UsePointToProjectionResult;
    type: PinType;
    value: number;
  },
): Feature => {
  const feature = getPinFeature(bioEntity, pointToProjection);
  const style = getPinStyle({
    color: PINS_COLORS[type],
    value,
  });

  feature.setStyle(style);
  return feature;
};
