import { Marker } from '@/redux/markers/markers.types';
import { UsePointToProjectionResult } from '@/utils/map/usePointToProjection';
import { Feature } from 'ol';
import { getMarkerSingleFeature } from './getMarkerSingleFeature';

export const getMarkersFeatures = (
  markers: Marker[],
  {
    pointToProjection,
  }: {
    pointToProjection: UsePointToProjectionResult;
  },
): Feature[] => {
  return markers.map(marker =>
    getMarkerSingleFeature(marker, {
      pointToProjection,
    }),
  );
};
