import { ZERO } from '@/constants/common';
import { HALF } from '@/constants/dividers';
import { Marker } from '@/redux/markers/markers.types';
import { BioEntity } from '@/types/models';
import { UsePointToProjectionResult } from '@/utils/map/usePointToProjection';
import { Feature } from 'ol';
import { Point } from 'ol/geom';

export const getPinFeature = (
  { x, y, width, height, id }: Pick<BioEntity, 'id' | 'width' | 'height' | 'x' | 'y'> | Marker,
  pointToProjection: UsePointToProjectionResult,
): Feature => {
  const point = {
    x: x + (width || ZERO) / HALF,
    y: y + (height || ZERO) / HALF,
  };

  return new Feature({
    geometry: new Point(pointToProjection(point)),
    name: id,
  });
};
