import { z } from 'zod';

export const mapOverlay = z.object({
  name: z.string(),
  googleLicenseConsent: z.boolean(),
  creator: z.string(),
  description: z.string(),
  genomeType: z.string().nullable(),
  genomeVersion: z.string().nullable(),
  idObject: z.number(),
  publicOverlay: z.boolean(),
  type: z.string(),
  order: z.number(),
});

export const createdOverlayFileSchema = z.object({
  id: z.number(),
  filename: z.string(),
  length: z.number(),
  owner: z.string(),
  uploadedDataLength: z.number(),
});

export const uploadedOverlayFileContentSchema = createdOverlayFileSchema.extend({});

export const createdOverlaySchema = z.object({
  name: z.string(),
  googleLicenseConsent: z.boolean(),
  creator: z.string(),
  description: z.string(),
  genomeType: z.string().nullable(),
  genomeVersion: z.string().nullable(),
  idObject: z.number(),
  publicOverlay: z.boolean(),
  type: z.string(),
  order: z.number(),
});
