import { BioEntityContentsState } from '@/redux/bioEntity/bioEntity.types';
import { createSlice } from '@reduxjs/toolkit';
import {
  clearBioEntitiesDataReducer,
  getBioEntityContentsReducer,
  getMultiBioEntityContentsReducer,
} from './bioEntity.reducers';

const initialState: BioEntityContentsState = {
  data: [],
  loading: 'idle',
  error: { name: '', message: '' },
};

export const bioEntityContentsSlice = createSlice({
  name: 'bioEntityContents',
  initialState,
  reducers: {
    clearBioEntitiesData: clearBioEntitiesDataReducer,
  },
  extraReducers: builder => {
    getBioEntityContentsReducer(builder);
    getMultiBioEntityContentsReducer(builder);
  },
});

export const { clearBioEntitiesData } = bioEntityContentsSlice.actions;

export default bioEntityContentsSlice.reducer;
