import { PayloadAction } from '@reduxjs/toolkit';
import { LegendState, PluginId } from './legend.types';

export const openLegendReducer = (state: LegendState): void => {
  state.isOpen = true;
};

export const closeLegendReducer = (state: LegendState): void => {
  state.isOpen = false;
};

export const selectLegendPluginIdReducer = (
  state: LegendState,
  action: PayloadAction<PluginId>,
): void => {
  state.selectedPluginId = action.payload;
};

export const selectDefaultLegendReducer = (state: LegendState): void => {
  state.selectedPluginId = undefined;
};
