export type MarkerType = 'pin' | 'surface';

interface MarkerBase {
  type: MarkerType;
  id: string;
  color: string;
  opacity: number;
  x: number;
  y: number;
  number?: number;
  modelId?: number;
}

export interface MarkerPin extends MarkerBase {
  width?: number;
  height?: number;
}

export interface MarkerSurface extends MarkerBase {
  width: number;
  height: number;
}

export type Marker = MarkerPin | MarkerSurface;

export type MarkerWithoutId = Omit<Marker, 'id'>;

export interface MarkersState {
  data: Marker[];
}
