import { ProjectState } from '@/redux/project/project.types';
import { createSlice } from '@reduxjs/toolkit';
import { getProjectByIdReducer } from './project.reducers';

const initialState: ProjectState = {
  data: undefined,
  loading: 'idle',
  error: { name: '', message: '' },
};

const projectSlice = createSlice({
  name: 'project',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getProjectByIdReducer(builder);
  },
});

export default projectSlice.reducer;
