import { createSlice } from '@reduxjs/toolkit';
import { getSessionValidReducer, loginReducer } from './user.reducers';
import { UserState } from './user.types';

export const initialState: UserState = {
  loading: 'idle',
  authenticated: false,
  error: { name: '', message: '' },
  login: null,
};

export const userSlice = createSlice({
  name: 'user',
  initialState,
  reducers: {},
  extraReducers: builder => {
    loginReducer(builder);
    getSessionValidReducer(builder);
  },
});

export default userSlice.reducer;
