import { addMarkerToMarkersData } from '@/redux/markers/markers.slice';
import { Marker, MarkerWithoutId } from '@/redux/markers/markers.types';
import { store } from '@/redux/store';
import { v4 as uuidv4 } from 'uuid';

export const addSingleMarker = (markerWithoutId: MarkerWithoutId): Marker => {
  const { dispatch } = store;
  const marker = { id: uuidv4(), ...markerWithoutId };
  dispatch(addMarkerToMarkersData(marker));

  return marker;
};
