import { handleDataReset } from '@/components/Map/MapViewer/utils/listeners/mapSingleClick/handleDataReset';
import { handleSearchResultAction } from '@/components/Map/MapViewer/utils/listeners/mapSingleClick/handleSearchResultAction';
import { SIZE_OF_EMPTY_ARRAY } from '@/constants/common';
import { store } from '@/redux/store';
import { getElementsByPoint } from '@/utils/search/getElementsByCoordinates';
import { Coordinates } from './triggerSearch.types';

export const searchByCoordinates = async (
  coordinates: Coordinates,
  modelId: number,
): Promise<void> => {
  const { dispatch } = store;
  // side-effect below is to prevent complications with data update - old data may conflict with new data
  // so we need to reset all the data before updating
  dispatch(handleDataReset);

  const searchResults = await getElementsByPoint({
    point: coordinates,
    currentModelId: modelId,
  });

  if (!searchResults || searchResults?.length === SIZE_OF_EMPTY_ARRAY) {
    return;
  }

  handleSearchResultAction({ searchResults, dispatch });
};
